> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/intro/funktionen.md).

# Functions

You use functions to perform complex calculations, evaluations and comparisons. You can nest function calls, so that the [return value](/acron-9.3/en/intro/funktionen/rueckgabewert.md) of one function serves as an argument for another function or as operand of an [operator](/acron-9.3/en/intro/operator.md).

The syntax of the functions in the Formula Editor all have the same pattern, based on the BASIC programming language:

[Return value](/acron-9.3/en/intro/funktionen/rueckgabewert.md) = function ([arguments](/acron-9.3/en/intro/funktionen/argumente.md))

Within an expression, you enter the function name and the function arguments. Upper and lower case is not relevant for function names. Only the arguments are case-sensitive, especially if you use [variables](/acron-9.3/en/intro/variablen.md) and [constants](/acron-9.3/en/intro/konstanten.md) as arguments.

The Formula Editor evaluates the expression, calls the function with the arguments and, after calculating the function, replaces the 'Function (arguments)' part by the return value.

The Formula Editor has the following groups of function:

* [Mathematical functions](/acron-9.3/en/intro/funktionen/funk_mathe.md)
* [Statistical functions](/acron-9.3/en/intro/funktionen/funk_statistik.md)
* [Logical/binary functions](/acron-9.3/en/intro/funktionen/funk_logik.md)
* [Date functions](/acron-9.3/en/intro/funktionen/funk_datum.md)
* [Time functions](/acron-9.3/en/intro/funktionen/funk_zeit.md)
* [Variables/constant functions](/acron-9.3/en/intro/funktionen/funk_variablen.md)
* [Event processing](/acron-9.3/en/intro/funktionen/funk_batch.md)
* [Data record](/acron-9.3/en/intro/funktionen/funk_datensatz.md)

The application in which the Formula Editor is used (e.g. in the ACRON Form Designer) can also provide its own functions and function groups. These may be functions customized to the application for example. It is also possible that not all of the functions and groups listed here are available. The application may remove functions that are not needed from the Formula Editor.

For example, an application that can only process numerical values (numbers) may remove the text functions, so that they are not available for a calculation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/intro/funktionen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
